function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import DropDownBehaviour, { DropDownTargetBehaviour, DropDownContentBehaviour } from "./DropDown.behaviour";
import DropDownSkeleton, { DropDownTargetSkeleton, DropDownContentSkeleton } from "./DropDown.skeleton";
import DropDownPropTypes, { defaultProps } from "./DropDown.propTypes";
import constantProps from "./DropDown.constantProps";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

function DropDown(props) {
  return /*#__PURE__*/React.createElement(DropDownBehaviour, _extends({}, props, {
    renderComponent: DropDownSkeleton
  }));
}

export function DropDownTarget(props) {
  return /*#__PURE__*/React.createElement(DropDownTargetBehaviour, _extends({}, props, {
    renderComponent: DropDownTargetSkeleton
  }));
}
export function DropDownContent(props) {
  return /*#__PURE__*/React.createElement(DropDownContentBehaviour, _extends({}, props, {
    renderComponent: DropDownContentSkeleton
  }));
}

if (false) {
  DropDown.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}

DropDown.propTypes = DropDownPropTypes;
DropDown.defaultProps = defaultProps;
DropDown.constantProps = constantProps;
export default DropDown;