function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import ModalBehaviour from "./Modal.Behaviour";
import ModalSkeleton from "./Modal.skeleton";
import modalPropTypes, { defaultProps, propsDescription } from "./Modal.propTypes";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";
export default function Modal(props) {
  return /*#__PURE__*/React.createElement(ModalBehaviour, _extends({}, props, {
    renderComponent: ModalSkeleton
  }));
}
Modal.defaultProps = defaultProps;
Modal.propTypes = modalPropTypes;
Modal.propsDescription = propsDescription;

if (false) {
  Modal.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}