function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { DocsTabsViewer } from '@zohodesk/docs';
import Select from '../Select';
import { SelectWithSearchExample } from './Select__search.docs';
import Select__scroll from './Select__scroll.docs';
import SelectDocConfig from './Select.model.docConfig';
import componentGroups from '../../../docs-utils/componentGroups';
import componentCategories from '../../../docs-utils/componentCategories';
import './Select.module.theme.css';
export default function Select__Model(props) {
  return /*#__PURE__*/React.createElement(DocsTabsViewer, _extends({
    docConfig: SelectDocConfig,
    componentType: Select,
    components: {
      Select,
      SelectWithSearchExample,
      Select__scroll
    }
  }, props));
}

if (false) {
  Select__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}