function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import UploadButtonBehaviour from "./UploadButton.behaviour";
import UploadButtonSkeleton from "./UploadButton.skeleton";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";
import uploadButtonPropTypes, { defaultProps, propsDescription } from "./UploadButton.propTypes";
import constantProps from "./UploadButton.constantProps";
export default function UploadButton(props) {
  return /*#__PURE__*/React.createElement(UploadButtonBehaviour, _extends({}, props, {
    renderComponent: UploadButtonSkeleton
  }));
}
UploadButton.propTypes = uploadButtonPropTypes;
UploadButton.defaultProps = defaultProps;
UploadButton.propsDescription = propsDescription;
UploadButton.constantProps = constantProps;

if (false) {
  UploadButton.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}