function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import ButtonBehaviour from "./Button.behaviour";
import ButtonSkeleton from "./Button.skeleton";
import buttonPropTypes, { defaultProps, propsDescription } from "./Button.propTypes";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories";
import constantProps from "./Button.constantProps";
export default function Button(props) {
  return /*#__PURE__*/React.createElement(ButtonBehaviour, _extends({}, props, {
    renderComponent: props.renderComponent
  }));
}
Button.propTypes = buttonPropTypes;
Button.defaultProps = defaultProps;
Button.propsDescription = propsDescription;
Button.constantProps = constantProps;

if (false) {
  Button.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}