function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import PopupBehaviour, { PopupTargetBehaviour, PopupContentBehaviour } from "./Popup.behaviour";
import PopupSkeleton, { PopupTargetSkeleton, PopupContentSkeleton } from "./Popup.skeleton";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";
import popupPropTypes, { defaultProps, propsDescription, popupContentDefaultProps, popupContentPropsDescription, popupContentProps, popupTargetDefaultProps, popupTargetProps, popupTargetPropsDescription } from "./Popup.propTypes";
import constantProps from "./Popup.constantProps";
export default function Popup(props) {
  return /*#__PURE__*/React.createElement(PopupBehaviour, _extends({}, props, {
    renderComponent: PopupSkeleton
  }));
}
export function PopupTarget(props) {
  return /*#__PURE__*/React.createElement(PopupTargetBehaviour, _extends({}, props, {
    renderComponent: PopupTargetSkeleton
  }));
}
export function PopupContent(props) {
  return /*#__PURE__*/React.createElement(PopupContentBehaviour, _extends({}, props, {
    renderComponent: PopupContentSkeleton
  }));
} // Popup

Popup.propTypes = popupPropTypes;
Popup.defaultProps = defaultProps;
Popup.propsDescription = propsDescription;
Popup.constantProps = constantProps; // PopupTarget

PopupTarget.propTypes = popupTargetProps;
PopupTarget.defaultProps = popupTargetDefaultProps;
PopupContent.propsDescription = popupTargetPropsDescription; // PopupContent

PopupContent.propTypes = popupContentProps;
PopupContent.defaultProps = popupContentDefaultProps;
PopupContent.propsDescription = popupContentPropsDescription;

if (false) {
  Popup.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}